Subject: Re: linux-next: manual merge of the kvm-arm tree with Linus' tree

From: Christoffer Dall <[email-masked]>
Date: Thu, 31 Jul 2014 16:23:47 +0200

On Thu, Jul 31, 2014 at 01:15:40PM +0100, Marc Zyngier wrote:
> On Thu, Jul 31 2014 at 12:53:03 pm BST, Christoffer Dall <[email-masked]> wrote:
> 
> Hi Christoffer,
> 
> > On Thu, Jul 31, 2014 at 8:30 AM, Stephen Rothwell <[email-masked]> wrote:
> >
> >     Hi all,
> >    
> >     Today's linux-next merge of the kvm-arm tree got a conflict in
> >     virt/kvm/arm/vgic.c between commit 63afbe7a0ac1 ("kvm: arm64: vgic: fix
> >     hyp panic with 64k pages on juno platform") from Linus' tree and commit
> >     8f186d522c69 ("KVM: ARM: vgic: split GICv2 backend from the main vgic
> >     code") and others from the kvm-arm tree.
> >    
> >     I fixed it up (the latter extensively rewrites the function, so I just
> >     used that) and can carry the fix as necessary (no action is required).
> >
> > Hmm that doesn't look correct, the checks  for
> > PAGE_ALIGNED(vcpu_res.start) and PAGE_ALIGNED(resource_size(vcpu_res))
> > still need to be enforced for both vgic-v2 and vgic-v3.  How do we
> > provide a correct fix for Linux-next?
> 
> I've provided a resolution for GICv2 in a separate email. For GICv3, I
> have the following patch in my tree, which can be added at a later time.
> 
The GICv3 build fix and the GICv3 fix you provided here are now both in
kvmarm/next.

Stephen, did you pick up the resolution provided by Marc for the gicv2
fix patch so that it applies to tomorrow's next/kvmarm merge?

Thanks,
-Christoffer